local VillageDeco = ...

VillageDeco:register({
	DataType = "MONUMENT",
	Id = "FANTASY_DECORATIONS",
	Name = "DECORATION_NAME",
	Description = "DECORATION_DESC",
	BuildingType = "MONUMENT",
	BuildingPartSetList = {
		{
			Name = "LIST_MISC_NAME",
	        BuildingPartList = {
				"TARGET",
				"TARGET_AXE",
				"BRAZIER_ON_FIRE",
				"BUCKET_MILK",
				"BUCKET_WATER",
				"CAMPFIRE",
				"CAMPFIRE_ON_FIRE",
				"WHEEL",
				"CAT",
				"CAULDRON",
				"DOG",
				"DRAGON",
				"FISHING_NET",
				"GUILLOTINE",
				"HANGING_CAGES",
				"LANTERN",
				"PUMPKIN",
				"SKULLS1",
				"SKULLS2",
				"BENCH_STONE1",
				"BENCH_STONE2",
				"SWORD_STONE",
				"TOOLS_BARREL",
				"TOOLS_RACK",
				"CHEST",
				"CHEST_OPEN",
				"TROUGH",
				"TUB_MILK",
				"TUB",
				"WEAPONS_BARREL1",
				"WEAPONS_RACK1",
				"WEAPONS_RACK2",
				"WHEELBARROW",
				"WOODEN_DOOR1",
				"WOODENGATE_OPEN",
				"WOODENGATE_LOCKED"
			}
		},
		{
			Name = "LIST_CART_NAME",
			BuildingPartList = {
				"BARGE_PART",
				"BARGE_CANOPY_PART",
				"CART_PART",
				"CART_CANOPY_PART",
				"CRANE_PART",
				"BARRELS_PART",
				"BARREL_LARGE_PART",
				"CRATES_PART",
				"GRAIN_PART",
				"HAY_PART",
				"LOGS_PART",
				"MIX1_PART",
				"MIX2_PART"
			}
		},
		{
			Name = "LIST_BARREL_NAME",
			BuildingPartList = {
				"BARREL1",
				"BARREL2",
				"BARREL3",
				"BARREL_SMALL1",
				"BARREL_BERRIES",
				"BARREL_FISH",
				"BARREL_GRAPES",
				"BARREL_HOPS"
			}
		},
		{
			Name = "LIST_CLOTH_NAME",
			BuildingPartList = {
				"CLOTH_SPOOL_RED1",
				"CLOTH_SPOOL_RED2",
				"CLOTH_SPOOL_GREEN1",
				"CLOTH_SPOOL_GREEN2"
			}
		},
		{
			Name = "LIST_CRATE_NAME",
			BuildingPartList = {
				"CRATE1",
				"CRATE2",
				"CRATE3",
				"CRATE4",
				"CRATE5",
				"CRATE_FLAT1",
				"CRATE_FLAT2",
				"CRATE_FLAT_GOLD",
				"CRATE_FLAT_IRON",
				"CRATE_COAL",
				"HANDCRATE"
			}
		},
		{
			Name = "LIST_GRAIN_NAME",
			BuildingPartList = {
				"SACK_GRAIN",
				"SACK_CLOSED",
				"SACK_SQUARE"
			}
		},
		{
			Name = "LIST_HAYBALE_NAME",
			BuildingPartList = {
				"HAYBALE1",
				"HAYBALE2",
				"HAYBALE3",
				"HAYBALE4"
			}
		},
		{
			Name = "LIST_FENCE_NAME",
			BuildingPartList = {
				"FENCE1",
				"FENCE2",
				"FENCE3",
				"FENCE4",
				"FENCE5"
			}
		},
		{
			Name = "LIST_GRAVESTONE_NAME",
			BuildingPartList = {
				"GRAVESTONE1",
				"GRAVESTONE2",
				"GRAVESTONE3",
				"GRAVESTONE4",
				"GRAVESTONE5",
				"GRAVESTONE6",
				"COFFIN_STONE"
			}
		},
		{
			Name = "LIST_LOG_NAME",
			BuildingPartList = {
				"LARGEWOOD1",
				"LARGEWOOD2",
				"LARGEWOOD3",
				"SMALLWOOD1",
				"SMALLWOOD2",
				"SMALLWOOD3",
				"SMALLWOOD4",
				"CHOPPEDWOOD1",
				"STUMP"
			}
		},
		{
			Name = "LIST_POT_NAME",
	        BuildingPartList = {
				"PLANTER_STONE_PART",
				"POT_CLAY1_PART",
				"POT_CLAY2_PART",
				"POT_STONE1_PART",
				"POT_WOOD1_PART"
			}
		},
		{
			Name = "LIST_PLANT_NAME",
	        BuildingPartList = {
				"BUSH",
				"BUSH_BLUE",
				"BUSH_PURPLE",
				"BUSH_RED",
				"BUSH_YELLOW",
				"STRANGEPLANT",
				"FLOWER_RED_PART",
				"FLOWER_ORANGE_PART",
				"FLOWER_YELLOW_PART",
				"FLOWER_LIGHT_YELLOW_PART",
				"FLOWER_BLUE_PART",
				"FLOWER_LIGHT_BLUE_PART",
				"FLOWER_TEAL_PART",
				"FLOWER_PURPLE_PART",
				"FLOWER_PURPLE2_PART",
				"FLOWER_LIGHT_PURPLE_PART",
				"FLOWER_PINK_PART",
				"FLOWER_PINK2_PART",
				"FLOWER_WHITE_PART",
			}
		},
		{
			Name = "LIST_GRASS_CLEARING_NAME",
			BuildingPartList = {
				"GRASS_CLEARING_STONE_SMALL",
				"GRASS_CLEARING_STONE",
				"GRASS_CLEARING_STONE_LARGE"
			}
		}
    },
	RequiredPartList = {
		{ Category = "DECORATION", Quantity = 1 }
	},
    IsEditable = true
})